NUMFMT(1)

NAZWA
numfmt - przetwarza liczby z/na postać czytelną dla człowieka

SKŁADNIA
numfmt [OPCJA]... [LICZBA]...

OPIS

Przetwarza LICZBY lub liczby ze standardowego wejścia, jeśli nie podano żadnej w wierszu polecenia.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--debug
    wyświetla ostrzeżenia o nieprawidłowym wejściu

-d, --delimiter=X
    używa X zamiast białej spacji do oddzielania pól

--field=POLA
    zastępuje liczby w tych polach wejściowych (domyślnie: 1), zob. POLA poniżej

--format=FORMAT
    używa FORMATU w stylu zmiennoprzecinkowego formatu printf; zob. poniżej FORMAT

--from=JEDNOSTKA
    automatycznie przelicza liczby wejściowe na JEDNOSTKI; domyślną jest none; zob. poniżej JEDNOSTKI

--from-unit=N
    określa rozmiar jednostki wejściowej (zamiast domyślnego: 1)

--grouping
    używa grupowania cyfr z ustawień lokalnych np. 1,000,000 (co oznacza, że nie ma to wpływu przy ustawieniach lokalnych C/POSIX)

--header[=N]
    wypisuje (bez konwersji) pierwszych N wierszy nagłówka; jeśli nie podano N, to używana jest wartość domyślna 1

--invalid=TRYB
    tryb niepowodzenia dla nieprawidłowych liczb: TRYB może przyjąć wartość abort (domyślnie), fail, warn, ignore

--padding=N
    wyrównuje wyjście do N znaków; dodatnia wartość N wyrówna do prawej, ujemna do lewej; wyrównanie nie zajdzie, jeśli wyjście jest szersze niż N; domyślnie ma miejsce automatyczne wyrównywanie, jeśli znaleziona zostanie biała spacja

--round=METODA
    używa METODY do zaokrąglania przy przeliczaniu; METODĄ może być up, down, from-zero (domyślnie), towards-zero, nearest

--suffix=PRZYROSTEK
    dodaje PRZYROSTEK do wypisywanych liczb i akceptuje opcjonalny PRZYROSTEK w liczbach wejściowych

--to=JEDNOSTKA
    automatycznie przelicza liczby wejściowe na JEDNOSTKI; zob. poniżej JEDNOSTKI

--to-unit=N
    wyjściowy rozmiar jednostki (zamiast domyślnego: 1)

-z, --zero-terminated
    kończy wiersze bajtem NUL, zamiast znakiem nowego wiersza

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

  opcje JEDNOSTEK:

none
    nie zachodzi automatyczne dopasowanie; przyrostki spowodują błąd

auto
    akceptuje opcjonalny przyrostek jedno- lub dwuliterowy:

    1K = 1000, 1Ki = 1024, 1M = 1000000, 1Mi = 1048576,

si  akceptuje opcjonalny przyrostek jednoliterowy:

    1K = 1000, 1M = 1000000, ...

iec akceptuje opcjonalny przyrostek jednoliterowy:

    1K = 1024, 1M = 1048576, ...

iec-i
    akceptuje opcjonalny przyrostek dwuliterowy:

    1Ki = 1024, 1Mi = 1048576, ...

  POLA obsługują zakres pól w stylu cut(1)

N   N-te pole, liczone od 1

N-  od N-tego pola do końca wiersza

N-M od N-tego do M-tego pola (włącznie)

-M  od pierwszego do M-tego pola (włącznie)

-   wszystkie pola

Wiele pól/zakresów można oddzielić przecinkami.

FORMAT musi nadawać się do wypisania jako jeden zmiennoprzecinkowy argument "%f". Opcjonalny pojedynczy cudzysłów (%'f) włączy --grouping (jeśli jest to obsługiwane przez aktualne ustawienia językowe). Opcjonalny argument szerokości (%10f) wyrówna wyjście. Opcjonalna zerowa szerokość (%010f) wyrówna liczbę do zera. Opcjonalny argument ujemny (%-10f) wyrówna wynik do lewej strony. Opcjonalne wskazanie precyzji (%.1f) przesłoni precyzję odgadniętą z wejścia.

Kod zakończenia wynosi 0 przekonwertowano z powodzeniem wszystkie liczby wejściowe. Domyślnie numfmt zatrzyma się przy pierwszym nieudanym przekształceniu z kodem zakończenia 2. Opcja --invalid=fail spowoduje wyświetlenie ostrzeżenia przy każdej nieudanej konwersji i zakończenie z kodem równym 2. Opcja --invalid=warn daje ten sam efekt jeśli chodzi o ostrzeżenia, ale kod wyjścia wynosi 0. Opcja --invalid=ignore powoduje brak diagnostyki błędów i kod zakończenia równy 0.

PRZYKŁADY

    $ numfmt --to=si 1000

    -> "1.0K"

    $ numfmt --to=iec 2048

    -> "2.0K"

    $ numfmt --to=iec-i 4096

    -> "4.0Ki"

    $ echo 1K | numfmt --from=si

    -> "1000"

    $ echo 1K | numfmt --from=iec

    -> "1024"

    $ df -B1 | numfmt --header --field 2-4 --to=si
    $ ls -l | numfmt --header --field 5 --to=iec
    $ ls -lh | numfmt --header --field 5 --from=iec --padding=10
    $ ls -lh | numfmt --header --field 5 --from=iec --format %10f

AUTOR
Napisane przez Assafa Gordona.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu numfmt proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/numfmt>
lub lokalnie, za pomocą info '(coreutils) numfmt invocation'

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.